groovy.xml

## Class Namespace

- java.lang.Object
- - groovy.xml.Namespace

-     public class Namespace
      extends java.lang.Object

  A simple helper class which acts as a factory of `QName` instances.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Namespace()`
    `Namespace(java.lang.String uri)`
    `Namespace(java.lang.String uri, java.lang.String prefix)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `QName` | `get(java.lang.String localName)` Returns the QName for the given localName.
    `java.lang.String` | `getPrefix()` Returns the prefix mapped to this namespace
    `java.lang.String` | `getUri()` Returns the URI of this namespace

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Namespace

          public Namespace()

    - #### Namespace

          public Namespace(java.lang.String uri)

    - #### Namespace

          public Namespace(java.lang.String uri,
                           java.lang.String prefix)

  - ### Method Detail

    - #### get

          public QName get(java.lang.String localName)

      Returns the QName for the given localName.
      Parameters:
        `localName` - the local name within this

    - #### getPrefix

          public java.lang.String getPrefix()

      Returns the prefix mapped to this namespace
      Returns:
        the prefix assigned to this namespace or null if no namespace is mapped.

    - #### getUri

          public java.lang.String getUri()

      Returns the URI of this namespace
      Returns:
        the URI of this namespace